--- docs/conf/httpd.conf.in	Fri Dec 21 03:43:00 2007
+++ docs/conf/httpd.conf.in	Mon May 16 06:47:52 2011
@@ -6,6 +6,12 @@
 # <URL:http://httpd.apache.org/docs/2.2/mod/directives.html>
 # for a discussion of each configuration directive.
 #
+# Solaris Quick Configuration Information
+#
+# 1. Set ServerName if necessary (default is 127.0.0.1)
+# 2. Set ServerAdmin to a valid email address
+#
+#
 # Do NOT simply read the instructions in here without understanding
 # what they do.  They're here only as hints or reminders.  If you are unsure
 # consult the online docs. You have been warned.  
@@ -43,14 +49,17 @@
 # Dynamic Shared Object (DSO) Support
 #
 # To be able to use the functionality of a module which was built as a DSO you
-# have to place corresponding `LoadModule' lines at this location so the
-# directives contained in it are actually available _before_ they are used.
-# Statically compiled modules (those listed by `httpd -l') do not need
-# to be loaded here.
+# have to place corresponding `LoadModule' lines within the appropriate 
+# (32-bit or 64-bit module) @rel_sysconfdir@/conf.d/modules-*.load file so that
+# the directives contained in it are actually available _before_ they are used.
 #
-# Example:
-# LoadModule foo_module modules/mod_foo.so
-#
+<IfDefine 64bit>
+Include @rel_sysconfdir@/conf.d/modules-64.load
+</IfDefine>
+<IfDefine !64bit>
+Include @rel_sysconfdir@/conf.d/modules-32.load
+</IfDefine>
+
 @@LoadModule@@
 
 <IfModule !mpm_netware_module>
@@ -63,8 +72,8 @@
 # It is usually good practice to create a dedicated user and group for
 # running httpd, as with most system services.
 #
-User daemon
-Group daemon
+User webservd
+Group webservd
 
 </IfModule>
 </IfModule>
@@ -86,7 +95,7 @@
 # e-mailed.  This address appears on some server-generated pages, such
 # as error documents.  e.g. admin@your-domain.com
 #
-ServerAdmin you@example.com
+ServerAdmin you@yourhost.com
 
 #
 # ServerName gives the name and port that the server uses to identify itself.
@@ -95,7 +104,7 @@
 #
 # If your host doesn't have a registered DNS name, enter its IP address here.
 #
-#ServerName www.example.com:@@Port@@
+ServerName 127.0.0.1
 
 #
 # DocumentRoot: The directory out of which you will serve your
@@ -329,6 +338,10 @@
     #
     #AddType text/html .shtml
     #AddOutputFilter INCLUDES .shtml
+
+    # Add a new mime.type for .p5i file extension so that clicking on 
+    # this file type on a web page launches PackageManager in a Webinstall mode.
+    AddType application/vnd.pkg5.info .p5i
 </IfModule>
 
 #
@@ -362,43 +375,22 @@
 
 # Supplemental configuration
 #
-# The configuration files in the @rel_sysconfdir@/extra/ directory can be 
-# included to add extra features or to modify the default configuration of 
-# the server, or you may simply copy their contents here and change as 
+# Include all the .conf configuration files in the 
+# @rel_sysconfdir@/conf.d/ directory.
+#
+# You can place additional configuration files in the
+# @rel_sysconfdir@/conf.d/ directory to add extra features
+# or to modify the default configuration of the server,
+# or you may simply copy their contents here and change as 
 # necessary.
+#
+# Sample configuration files are in the
+# @rel_sysconfdir@/samples-conf.d directory. To use a 
+# sample .conf file, copy it to  @rel_sysconfdir@/conf.d 
+# directory and modify as required.
+#
+Include @rel_sysconfdir@/conf.d/*.conf
 
-# Server-pool management (MPM specific)
-#Include @rel_sysconfdir@/extra/httpd-mpm.conf
-
-# Multi-language error messages
-#Include @rel_sysconfdir@/extra/httpd-multilang-errordoc.conf
-
-# Fancy directory listings
-#Include @rel_sysconfdir@/extra/httpd-autoindex.conf
-
-# Language settings
-#Include @rel_sysconfdir@/extra/httpd-languages.conf
-
-# User home directories
-#Include @rel_sysconfdir@/extra/httpd-userdir.conf
-
-# Real-time info on requests and configuration
-#Include @rel_sysconfdir@/extra/httpd-info.conf
-
-# Virtual hosts
-#Include @rel_sysconfdir@/extra/httpd-vhosts.conf
-
-# Local access to the Apache HTTP Server Manual
-#Include @rel_sysconfdir@/extra/httpd-manual.conf
-
-# Distributed authoring and versioning (WebDAV)
-#Include @rel_sysconfdir@/extra/httpd-dav.conf
-
-# Various default settings
-#Include @rel_sysconfdir@/extra/httpd-default.conf
-
-# Secure (SSL/TLS) connections
-#Include @rel_sysconfdir@/extra/httpd-ssl.conf
 #
 # Note: The following must must be present to support
 #       starting without SSL on platforms with no /dev/random equivalent
